<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gtest_xml_outfiles_test.GTestXMLOutFilesTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgtest__xml__outfiles__test_1_1GTestXMLOutFilesTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">gtest_xml_outfiles_test.GTestXMLOutFilesTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gtest_xml_outfiles_test.GTestXMLOutFilesTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__xml__outfiles__test_1_1GTestXMLOutFilesTest__inherit__graph.svg" width="212" height="216"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for gtest_xml_outfiles_test.GTestXMLOutFilesTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__xml__outfiles__test_1_1GTestXMLOutFilesTest__coll__graph.svg" width="212" height="216"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a56550f293277d18c36e868a637fe1153"><td class="memItemLeft" align="right" valign="top"><a id="a56550f293277d18c36e868a637fe1153"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>setUp</b> (self)</td></tr>
<tr class="separator:a56550f293277d18c36e868a637fe1153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49d1d410370ba8a3cfcc281eaadb5706"><td class="memItemLeft" align="right" valign="top"><a id="a49d1d410370ba8a3cfcc281eaadb5706"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>tearDown</b> (self)</td></tr>
<tr class="separator:a49d1d410370ba8a3cfcc281eaadb5706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503d2fbc9cd782ae57ac4307d2db43e1"><td class="memItemLeft" align="right" valign="top"><a id="a503d2fbc9cd782ae57ac4307d2db43e1"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>DeleteFilesAndDir</b> (self)</td></tr>
<tr class="separator:a503d2fbc9cd782ae57ac4307d2db43e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a034738bbc00ac46d00f183402c561228"><td class="memItemLeft" align="right" valign="top"><a id="a034738bbc00ac46d00f183402c561228"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testOutfile1</b> (self)</td></tr>
<tr class="separator:a034738bbc00ac46d00f183402c561228"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c02687f092a482d0d0260c7ed94c618"><td class="memItemLeft" align="right" valign="top"><a id="a3c02687f092a482d0d0260c7ed94c618"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testOutfile2</b> (self)</td></tr>
<tr class="separator:a3c02687f092a482d0d0260c7ed94c618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html">gtest_xml_test_utils.GTestXMLTestCase</a></td></tr>
<tr class="memitem:a977273e8863f4f41d121bb5a64b08d32 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html#a977273e8863f4f41d121bb5a64b08d32">AssertEquivalentNodes</a> (self, expected_node, actual_node)</td></tr>
<tr class="separator:a977273e8863f4f41d121bb5a64b08d32 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4823e96c3b5327b25a340a3605447d9 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html#ac4823e96c3b5327b25a340a3605447d9">NormalizeXml</a> (self, element)</td></tr>
<tr class="separator:ac4823e96c3b5327b25a340a3605447d9 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa5c31cd97047bc1d3060f4d27bc956a4"><td class="memItemLeft" align="right" valign="top"><a id="aa5c31cd97047bc1d3060f4d27bc956a4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>output_dir_</b></td></tr>
<tr class="separator:aa5c31cd97047bc1d3060f4d27bc956a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html">gtest_xml_test_utils.GTestXMLTestCase</a></td></tr>
<tr class="memitem:a0e3a4e84e18f29d2248dcd670a0a6ae6 inherit pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><b>identifying_attribute</b></td></tr>
<tr class="separator:a0e3a4e84e18f29d2248dcd670a0a6ae6 inherit pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Unit test for Google Test's XML output functionality.</pre> </div><hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest_xml_outfiles_test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>gtest_xml_outfiles_test</b></li><li class="navelem"><a class="el" href="classgtest__xml__outfiles__test_1_1GTestXMLOutFilesTest.html">GTestXMLOutFilesTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
